import { StyleSheet } from 'react-native'
import appColors from '../../../../../theme/appColors'
import appFonts from '../../../../../theme/appFonts'
import {
  windowHeight,
  windowWidth,
  fontSizes,
} from '../../../../../theme/appConstant'

const styles = StyleSheet.create({
  main: {
    height: windowHeight(12.5),
    width: '101%',
    marginVertical: windowHeight(2.3),
    alignSelf: 'center',
  },
  detainContain: {
    marginHorizontal: windowWidth(9.5),
    marginVertical: windowHeight(2.5),
  },
  profileImage: {
    height: windowHeight(7),
    width: windowHeight(7),
    resizeMode: 'cover',
    borderRadius: windowHeight(25),
  },
  details: {
    height: windowHeight(6.5),
    width: windowWidth(65),
    marginHorizontal: windowWidth(3.5),
    justifyContent: 'center',
  },
  name: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4HALF,
    marginBottom: windowHeight(0.5),
  },
  mail: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
  },
  walletContain: {
    height: windowHeight(6),
    backgroundColor: appColors.primary,
    marginHorizontal: windowWidth(4),
    borderRadius: windowHeight(0.8),
    marginTop: windowHeight(0.6),
  },
  wallet: {
    flex: 1,
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: windowWidth(3),
  },
  walletTitle: {
    color: appColors.white,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT3HALF,
  },
  walletAmount: {
    color: appColors.white,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
  },
  char: {
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT7,
  },
  nameTag: {
    alignItems: 'center',
    justifyContent: 'center',
    height: windowHeight(7),
    width: windowHeight(7),
    backgroundColor: appColors.white,
    borderRadius: windowHeight(25),
  },
  line: {
    height: windowHeight(1.7),
    width: windowWidth(0.4),
    backgroundColor: appColors.iconColor,
  },
})
export default styles
